Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class CalendarEntries

    java.lang.Object
      com.tibco.bpm.web.client.model.types.CalendarEntries

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class CalendarEntries

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

TODO Give a useful description of the type.

©2012 TIBCO Software Inc.

Since:
  TODO

Constructor Summary
`CalendarEntries()` TODO Describe this method

Method Summary
`java.util.Date` | `getEnd()` TODO Describe this method
`java.util.HashMap<CalendarDay,ExclusionTimeSpanList>` | `getExistingRecurringExclusions()` TODO Describe this method
`java.util.HashMap<CalendarDay,ExclusionTimeSpanList>` | `getExistingWorkingDayExclusions()` TODO Describe this method
`java.lang.String` | `getName()` TODO Describe this method
`java.lang.String` | `getNameSpace()` TODO Describe this method
`java.util.Date` | `getStart()` TODO Describe this method
`int` | `getVersion()` TODO Describe this method
`void` | `setEnd(java.util.Date end)` TODO Describe this method
`void` | `setExistingRecurringExclusions(java.util.HashMap<CalendarDay,ExclusionTimeSpanList> existingRecurringExclusions)` TODO Describe this method
`void` | `setExistingWorkingDayExclusions(java.util.HashMap<CalendarDay,ExclusionTimeSpanList> existingWorkingDayExclusions)` TODO Describe this method
`void` | `setName(java.lang.String name)` TODO Describe this method
`void` | `setNameSpace(java.lang.String nameSpace)` TODO Describe this method
`void` | `setStart(java.util.Date start)` TODO Describe this method
`void` | `setVersion(int version)` TODO Describe this method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarEntries

    public CalendarEntries()

  TODO Describe this method

Method Detail

### getName

    public java.lang.String getName()

  TODO Describe this method

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  TODO Describe this method

  Parameters:
    `name` - The name to set.

### getNameSpace

    public java.lang.String getNameSpace()

  TODO Describe this method

  Returns:
    Returns the nameSpace.

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  TODO Describe this method

  Parameters:
    `nameSpace` - The nameSpace to set.

### getStart

    public java.util.Date getStart()

  TODO Describe this method

  Returns:
    Returns the start.

### setStart

    public void setStart(java.util.Date start)

  TODO Describe this method

  Parameters:
    `start` - The start to set.

### getEnd

    public java.util.Date getEnd()

  TODO Describe this method

  Returns:
    Returns the end.

### setEnd

    public void setEnd(java.util.Date end)

  TODO Describe this method

  Parameters:
    `end` - The end to set.

### getVersion

    public int getVersion()

  TODO Describe this method

  Returns:
    Returns the version.

### setVersion

    public void setVersion(int version)

  TODO Describe this method

  Parameters:
    `version` - The version to set.

### getExistingWorkingDayExclusions

    public java.util.HashMap<CalendarDay,ExclusionTimeSpanList> getExistingWorkingDayExclusions()

  TODO Describe this method

  Returns:
    Returns the existingWorkingDayExclusions.

### setExistingWorkingDayExclusions

    public void setExistingWorkingDayExclusions(java.util.HashMap<CalendarDay,ExclusionTimeSpanList> existingWorkingDayExclusions)

  TODO Describe this method

  Parameters:
    `existingWorkingDayExclusions` - The existingWorkingDayExclusions to set.

### getExistingRecurringExclusions

    public java.util.HashMap<CalendarDay,ExclusionTimeSpanList> getExistingRecurringExclusions()

  TODO Describe this method

  Returns:
    Returns the existingWorkingDayExclusions.

### setExistingRecurringExclusions

    public void setExistingRecurringExclusions(java.util.HashMap<CalendarDay,ExclusionTimeSpanList> existingRecurringExclusions)

  TODO Describe this method

  Parameters:
    `existingRecurringExclusions` - The existingWorkingDayExclusions to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.